Todays rant: opkg - not giving me the right choices

Robin Farine robin.farine at
Sun Aug 17 20:22:17 CEST 2008

On Sunday 17 August 2008, Torfinn Ingolfsen wrote:


> Anyway, I'm tired of this game now. Lets try something else:
> root at om-gta02:~# mv /var/lib/opkg/daily-neo1973 .
> root at om-gta02:~# mv /var/lib/opkg/daily-neo1973-updates .
> root at om-gta02:~# opkg info kernel


> Now, lets see if opkg can deal with it.
> root at om-gta02:~# opkg install kernel
> Installing kernel
> (2:2.6.24+git33+88bf43840b9df0eb0a077a1394eb564be80a412e-r2) to
> root...


> At last - the correct package installed.
> Finally, IMHO opkg is broken and should be fixed. Also, opkg
> lacks at least one essential feature (the ability to specify what
> version of an available package to install) and should be
> ehanced.

So I hope it is safe to remove the neo1973 specific feed(s) on gta02 
(/etc/opkg/neo1973-feed.conf in my case)?


More information about the community mailing list